Activate Custom Fields on a selection of projects directly from Custom fields page

2013-10-15 18:00 - Gurvan Le Dromaguet

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed   

Description

Today when creating a "Custom field" we can select "For all projects". This is good but when I want to activate only for a subset of

existing projects, I have to go to the Settings of each project and activate it. To give a scale I often have to activate for 30 project for

a total of 40 existing ...

Moreover, when I select "For all projects", it can not be unselected afterwards from Project page (which would have done here 10

updates only instead of 40...)

I often finish operating direct sql insertions into db which is not my favourite way of doing the administration of my platform.

It would be nice to have in the Custom field form the list of the projects appearing (eg like Watchers do in Issue Creation form) and

be able to select these.

Furthermore the "for all projects" should not be a parameter of a custom field anymore, and instead we would have "select/unselect

all" over the list at the bottom. This would avoid conflicts/uncoherence in Redmine configuration and also any Custom field could be

deactivated in the settings of a project all the time and for all the Custom fields. More flexible.

Related issues:

Has duplicate Redmine - Feature #10757: List of projects using an Issue custo... Closed

Associated revisions

Revision 12225 - 2013-10-20 10:29 - Jean-Philippe Lang

Projects selection on custom field form (#15136).

History

#1 - 2013-10-20 10:32 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

- Resolution set to Fixed

Gurvan Le Dromaguet wrote:

It would be nice to have in the Custom field form the list of the projects appearing (eg like Watchers do in Issue Creation form) and be able to

select these.

 Feature added in r12225.

#2 - 2013-10-21 11:53 - Gurvan Le Dromaguet

Wow, impressive :) Thanks a lot. I will test it this week !

#3 - 2013-11-05 16:33 - Gurvan Le Dromaguet

Tested ok, thanks again.

#4 - 2014-06-24 00:39 - Toshi MARUYAMA

- Has duplicate Feature #10757: List of projects using an Issue custom field added
